Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Public Attributes | List of all members
ACG::VertexElement Struct Reference

Description of one vertex element. More...

`#include <ACG/GL/VertexDeclaration.hh>`

## Public Member Functions
void | setByteOffset (unsigned int _offset)
unsigned int | getByteOffset () const

## Public Attributes
unsigned int | type_
| GL_FLOAT, GL_UNSIGNED_BYTE, GL_INT, ...
unsigned int | numElements_
| how many elements of type_
VERTEX_USAGE | usage_
| position, normal, shader input ..
const char * | shaderInputName_
| set shader input name, if usage_ = VERTEX_USAGE_USER_DEFINED otherwise this is set automatically, if usage_ != VERTEX_USAGE_USER_DEFINED
const void * | pointer_
| Offset in bytes to the first occurrence of this element in vertex buffer; Or address to vertex data in system memory.
unsigned int | divisor_
| For instanced rendering: Step rate describing how many instances are drawn before advancing to the next element. Must be 0 if this element is not per instance data.
unsigned int | vbo_
| Explicit vbo source of this element, set to 0 if the buffer bound at the time of activating the declaration should be used instead.

## Detailed Description

Description of one vertex element.

Definition at line 84 of file VertexDeclaration.hh.

## Member Function Documentation

unsigned int ACG::VertexElement::getByteOffset | ( |  | ) | const

interpret pointer_ as byte offset

Definition at line 83 of file VertexDeclaration.cc.

void ACG::VertexElement::setByteOffset | ( | unsigned int | _offset | ) |

interpret pointer_ as byte offset

Definition at line 69 of file VertexDeclaration.cc.

The documentation for this struct was generated from the following files:

- ACG/GL/VertexDeclaration.hh
- ACG/GL/VertexDeclaration.cc